Bug 59707 - aacraid hung during install Hampton
aacraid hung during install Hampton
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 18:00 EST by Danny Trinh
Modified: 2005-10-31 17:00 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-14 12:42:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode, mptable, dump_pirq, dmesg, /var/log/messages of PE1650 (13.20 KB, application/octet-stream)
2002-02-13 18:49 EST, Danny Trinh
no flags Details
dmidecode, mptable, dump_pirq, dmesg, /var/log/messages of PE4600 (16.98 KB, application/octet-stream)
2002-02-13 18:50 EST, Danny Trinh
no flags Details

  None (edit)
Description Danny Trinh 2002-02-11 18:00:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
During installing Hampton by using expert mode. PE2550 is hung up at loading 
SCSI driver screen. And the KB hung up also.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup ROMB RAID5 on PE2550
2.Boot up from CD, and do the "expert noprobe" mode
3.select to load aacraid driver
	

Actual Results:  System hung up, KB hung up also

Expected Results:  aacraid must be loaded.

Additional info:
Comment 1 Jeremy Katz 2002-02-11 19:12:30 EST
Arjan, any known problems with aacraid right now?
Comment 2 Arjan van de Ven 2002-02-12 04:19:15 EST
our kernel is supposed to have the latest....
Comment 3 Danny Trinh 2002-02-12 14:41:16 EST
PE1650 with ROMB configuration has this problem too.
Comment 4 Danny Trinh 2002-02-12 15:07:01 EST
Following is the message at boot:
RedHat/Adaptec aacraid driver
PCI: Assigned IRQ 11 for device 01:08.1
     Sharing IRQ 11 with 02:06.0
     Found IRQ 11 for device 01:08.1
     Sharing IRQ 11 with 02:06.0

Then system is hung.

Work around:
When Matt applied "linux apic" at the prompt, then anaconda can see the HDD.
Comment 5 Arjan van de Ven 2002-02-12 15:09:04 EST
Ok we need to whack some bios person ;)

And also we can make the "apic" default for this machine once I get dmidecode
output. (dmidecode is part of the kernel-utils package)
Comment 6 Alan Cox 2002-02-12 15:35:04 EST
I need to verify shared IRQ handling in the aacraid driver, as we need to check
the IRQ steering code against a dump of the tables first
Comment 7 Danny Trinh 2002-02-13 18:49:10 EST
Created attachment 45620 [details]
dmidecode, mptable, dump_pirq, dmesg, /var/log/messages of PE1650
Comment 8 Danny Trinh 2002-02-13 18:50:24 EST
Created attachment 45621 [details]
dmidecode, mptable, dump_pirq, dmesg, /var/log/messages of PE4600
Comment 9 John A. Hull 2002-02-14 11:13:55 EST
All Dell PowerEdge platforms with Adaptec ROMB hang in this manner. These 
include the PE 2400, 2450, 4400, 2500, and 2550, as well as the platforms that 
are not released yet (dagger, jaguar, boxster). How many systems do you need 
dumps for to resolve?
Comment 10 Arjan van de Ven 2002-02-14 11:17:10 EST
if "apic" fixes it for all of them we might have a fun problem.
Either aacraid does something wrong or your new generation of bioses is linux
incompatible ;(
Comment 11 Danny Trinh 2002-02-14 11:23:21 EST
I'm sure that they work fine with RH7.2, at least with PE2550.
Comment 12 Alan Cox 2002-02-14 12:15:49 EST
Do they only hang if that IRQ is shared. Does the same occur with the slightly
tweaked kernel rpm Matt Domsch did ?
Comment 13 Matt Domsch 2002-02-14 12:34:57 EST
The Hampton beta1 kernel 2.4.17-0.13 has the time_before() args in 
drivers/scsi/aacraid/rx.c reversed still.  That could do it...
Comment 14 Alan Cox 2002-02-14 12:39:31 EST
If the IRQ is shared it will do it yes. APIC mode would unshare the IRQ and it
merely goes horrible. Thats fixed in the 2.4.18rc base kernel set so should be
fine once merged
Comment 15 Danny Trinh 2002-02-14 12:42:46 EST
I must clarify this problem. This happens during install only. After 
using "apic" to finish the installation, Hampton boots up just fine and using 
aacraid driver.
Comment 16 John A. Hull 2002-03-12 14:13:43 EST
Fixed in Beta 2.

Note You need to log in before you can comment on or make changes to this bug.